/*Funciones de interacción del usuario*/

function checkError(){
	//Comprobamos compatibilidad del navegador
	if (!Modernizr.canvas /*|| !Modernizr.contentEditable No soportado aun */ ) {
	   // Si el explorador no es compatible con alguna característica vamos a página de error
	   window.location.assign("error.php");
	}
	
	//Comprobamos si llegan errores
	var error_box =  document.getElementById("error");
	if(error_box.innerHTML != "")
		openPopup('Error', error_box.innerHTML);
}

function openPopup(title, msg){
	document.getElementById("title").innerHTML= "<strong>"+title+"</strong>";

	var popup = document.getElementById("popup");
	/* Si el mensaje trae una imagen usamos big*/
	if(msg.search(/href=/i) != -1){
			popup.className = "big";
	}else{
		/* Según el tamaño del mensaje, utilizamos un popup pequeño(<350), mediano(<750) o grande (>1000 con scroll) */
		if(msg.length < 350)
			popup.className = "short";
		else if(msg.length < 750)
			popup.className = "med";
		else
			popup.className = "big";
	}

	document.getElementById("msg").innerHTML = msg;
	document.getElementById("bg_transparent").style.display = "block";
	popup.parentNode.style.display = "block";
}

function closePopup(){
	document.getElementById("bg_transparent").style.display = "none";
	document.getElementById("bg_popup").style.display = "none";
}

function showUploadInfo(title, type){
	hideLoaderChecking();
	var box = document.getElementById("box_upload_info");
	var img;
	if( type == "xls" ){//archivo excel
		img = '<img src="images/ico-xls.png" title="Archivo Microsoft Excel" alt="Excel"/>'
	}else if( type == "csv" ){//archivo csv
		img = '<img src="images/ico-csv.png" title="Archivo CSV" alt="CSV"/>'
	}else if( type == "ods" ){//archivo oo calc
			img = '<img src="images/ico-ods.png" title="Archivo OpenOffice Calc" alt="Calc"/>'
	}else if( type == "gss" ){//documento google spreadsheets
		img = '<img src="images/ico-gss.png" title="Documento Google SpreadSheets" alt="Google"/>'
	}else{// otros
		img = '<img src="images/ico-other.png" title="Documento de datos" alt="Datos"/>'
	}

	box.innerHTML = img+' '+title;


	document.getElementById("inputs_form").style.display="none";
	document.getElementById("box_validations").style.display="block";
	document.getElementById("submit").disabled=false;
}

function clearForm(){
	document.getElementById("data_from_file").value="";
	document.getElementById("data_from_google").value="";
	document.getElementById("box_validations").style.display="none";
	document.getElementById("submit").disabled=true;
	document.getElementById("inputs_form").style.display="block";
}


/* Funciones para resaltar y mostrar temas de ayuda*/
function toggleFaqClass(header){
	if( header.className == "showFaq" ){
		header.parentNode.className = "hideFaq";
		header.className = "hideFaq";
		header.title = "Mostrar Información";
	}else{
		header.parentNode.className = "showFaq";
		header.className = "showFaq";
		header.title = "Ocultar Información";
	}
}
/* Funciones auxiliares */

/* Crea objeto para comunicación asíncrona (AJAX) */
function newAJAX(){
    var xmlhttp=false;
    try{
        xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
    }catch(e){
        try{
            xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        }catch(E){
            xmlhttp = false;
        }
    }

    if(!xmlhttp && typeof XMLHttpRequest!='undefined'){
        xmlhttp = new XMLHttpRequest();
    }
    return xmlhttp;
}

/* Devolver elementos de una clase */
function getElementsByClass(searchClass,node,tag) {
	if (document.getElementsByClassName){
		return document.getElementsByClassName(searchClass);
	}else{
		var classElements = new Array();
		if ( node == null )
			node = document;
		if ( tag == null )
			tag = '*';
		var els = node.getElementsByTagName(tag);
		var elsCant = els.length;
		var cla = new RegExp("(^|\\s)"+searchClass+"(\\s|$)");
		for (i = 0, j = 0; i < elsCant; i++) {
				classElements[j] = els[i];
				j++;
		}
       		
		return classElements;
	}
}

/* Eliminar espacios en blanco */
String.prototype.trim = function() { return this.replace(/^[\s\n\r]+|[\s\n\r]+$/g, ""); };




