<?php 
/*
En esta página se elegirán las opciones de diseño del diagrama (formato, colores, tamaño), se podrán editar los datos, se mostrará el diagrama y se podrá exportar como imagen o como HTML incrustado.
*/
session_start();
if( !isset($_SESSION["data_table"]) || $_SESSION["data_table"] == "" )
	header("Location: index.php");

require_once("php/staticContentGraff.php");

?>
<!DOCTYPE HTML>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

<title>Hoja 0 - Graff</title>

<!-- Librerías y fuentes javascript-->

<script src="js/main.js" type="text/javascript"></script>
<script src="js/options.js" type="text/javascript"></script>
<script src="js/modernizr-1.6.min.js" type="text/javascript"></script>

<script src="js/export.js" type="text/javascript"></script>
<script src="js/canvas2image.js" type="text/javascript"></script>
<script src="js/base64.js" type="text/javascript"></script>

<script src="js/bluff/js-class.js" type="text/javascript"></script> 
<script src="js/bluff/bluff-canvas-text.js" type="text/javascript"></script>
<script src="js/bluff/excanvas.js" type="text/javascript"></script> 

<script type="text/javascript">



</script>

<!-- Estilos en CSS-->

<link href="css/main.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="css/options.css" rel="stylesheet" type="text/css" media="screen"/>

</head>

<body onload="haveConflict();">
	<header>
		<h1><a href="index.php" title="Home"><? staticContentGraff::title(); ?></a></h1>
	</header>
	<ul id="menu">
		<li onclick="shareWorkspace()">
			<img src="images/share.png" alt="Compartir Vista" title="Compartir Vista">
			<span>Compartir Vista</span>
		</li>
		<li onclick="toggleWorkspace('tablespace')">
			<img src="images/tablespace.png" alt="Ver Tabla de datos" title="Ver Tabla de datos">
			<span>Ver Tabla de datos</span>
		</li>
		<li onclick="toggleWorkspace('graphspace')">
			<img src="images/graphspace.png" alt="Ver Diagrama Graff" title="Ver Diagrama Graff">
			<span>Ver Diagrama Graff</span>
		</li>
		<li>
			<a href="faq.php" target="_blank" title="Ver Ayuda"><img src="images/help.png" alt="Ver Ayuda" title="Ver Ayuda"></a>
		</li>
	</ul>
	<section id="tablespace" class="share">
		<ul class="bar_tools">
			<li class="icon">
				<img src="images/tablespace.png" alt="Tabla de datos" title="Tabla de datos">
			</li>
			<li class="edition_context" onclick="refreshEditionContext()">
				<img src="images/refresh-table.png" alt="Refrescar la tabla" title="Refrescar la tabla">
				<span>Refrescar</span>
			</li>
			<li class="edition_context" onclick="saveEditionContext()">
				<img src="images/save-table.png" alt="Guardar y Salir" title="Guardar y Salir">
				<span>Guardar y Salir</span>
			</li>
			<li class="edition_context" onclick="exitEditionContext()">
				<img src="images/exit-table.png" alt="Salir sin Guardar" title="Salir sin Guardar">
				<span>Salir sin Guardar</span>
			</li>
			<li class="edition_context_hidden" id="fixConflicts" onclick="fixConflicts()">
				<img src="images/conflict.png" alt="Arreglar Conflictos" title="Arreglar Conflictos">
				<span>Arreglar conflictos</span>
			</li>
			<li class="view_context" onclick="showEditionContext()">
				<img src="images/edit-table.png" alt="Editar la tabla" title="Editar la tabla">
				<span>Editar</span>
			</li> 
			<li class="view_context" onclick="setHeads('both')">
				<img src="images/head-both.png" alt="Marcar primera fila y columna como cabecera" title="Marcar primera fila y columna como cabecera">
				<span>Marcar fila y columna</span>
			</li>
			<li class="view_context" onclick="setHeads('col')">
				<img src="images/head-col.png" alt="Marcar primera columna como cabecera" title="Marcar primera columna como cabecera">
				<span>Marcar sólo columna</span>
			</li>
		</ul>
		<? $sheets=count($_SESSION["data_table"]);
			for($i=0; $i<$sheets; $i++){
			//mostramos la tabla con los datos de la hoja $i
			echo $_SESSION["data_table"][$i];

		}?>
	</section>
	<section id="graphspace" class="share">
		<ul class="bar_tools">
			<li class="icon">
				<img src="images/graphspace.png" alt="Diagrama Graff" title="Diagrama Graff">
			</li>
			<li onclick="exportToImagen()" >
				<img src="images/save-img.png" alt="Guardar como imagen" title="Guardar como imagen" />
				<span>Guardar como imagen</span>
			</li>
			<li onclick="exportToHTML()" >
				<img src="images/save-html.png" alt="Exportar como HTML" title="Exportar como HTML" />
				<span>Exportar como HTML</span>
			</li>
		</ul>
		<div id="options_panel">
			<? staticContentGraff::optionsPanel(); ?>
		</div>
		<div id="box_graph">
			<div id="box_table"></div>
			<canvas id="graph"></canvas>
		</div>
	</section>
	
	<!-- Herramientas de hojas genéricas -->
	<ul id="sheets_tools">
		<?	$classActive = 'class="active"';
			for($i=0; $i<$sheets; $i++){
				printf('<li %s onclick="setActiveTable(this, %s, true)"><a href="#sheet%s" alt="Hoja %s" title="Hoja %s" >Hoja %s</a></li>',$classActive,$i,$i,$i,$i,$i);
				$classActive = "";
			}
		?>
	</ul>
	
	<!-- Divs para deshabilitar las herramientas mientras se edita la tabla -->
	<div id="topTools"></div>
	<div id="bottomTools"></div>
	
	<? staticContentGraff::popup(); ?>
	
	<!-- Elemento para recibir los errores de la aplicación y que se muestren mediante popup-->
	<div id="error"><? if( !empty($_SESSION["errores"]) ){ // Si hay errores
			echo $_SESSION["errores"]; // los imprimimos
			$_SESSION["errores"] = "";
		} ?></div>
	
	
	
</body>

</html>
